Aenderungen LXDVDRIP
====================

Version 1.60 / 22.04.06:
- Backup eines Titels inkl. Menue ohne weitere Zusatzsoftware.
  Einfach "lxdvdrip -st=vamps_menu" starten. Gesichert wird das Menue, 
  der Haupttitel, die gewaehlten Audio- und alle Untertiteltracks.
  Im Moment ist diese Funktion experimentell. In einigen Faellen
  spielen Player die DVD nicht ab. Hier bitte versuchen, am Player im Setup
  die Standardmenuesprache auf "Original" oder "englisch" einzustellen.
- Kaffeine und Totem als Previewplayer mit DVD-Struktur starten.
- Neuer Parameter "multicopy=" in lxdvdrip.conf (Kommandozeile: "-mc=").
  Wert "1": Programm fragt nach neuer DVDR nach jeder Kopie.
  Wert "0": Nur eine DVDR, dann beendet sich das Programm.
- Vamps: 
   - Genauere Berechnung des Faktors zum Verkleinern
     (vamps -E faktor -S groesse_input_stream -i injection_file). 
   - Bei Ausgabe in Datei Zwischenstand ausgeben.
- GCC 4.x: Warnungen behoben.   
- Neuer Parameter "groesse_dvd=" in "lxdvdrip.conf". Arbeitet die
  Faktorberechnung beim eingesetzten Streamtool sehr genau,
  kann man den Wert etwas hoeher setzen, um die maximale
  Kapazitaet zu erreichen. Standardeinstellung sind 4.6 GB
  statt 4.7 GB (1000er Basis).
   
Version 1.52 / 16.03.06:
- Copy-Modus: Unabhaengig vom Verzeichnis, aus dem das Programm gestartet
  wird, werden alle TEMP-Dateien im TEMPDIR angelegt.
- Korrekturen / Aenderungen bei Vamps als Streamtool:
  - Multi Angle Support.
  - Vamps auf Version 0.99.1 aktualisiert.
  - play_cell ignoriert Lesefehler.
  - Vamps erweitert: Parameter "-p" (preserve_audio) und
    "-u" (preserve_subpictures) fuer Erhaltung der Track-IDs.
  - Vamps wird entsprechend bei Uebernahme aller Audio- und
    Untertiteltracks von lxdvdrip mit diesen Parametern angesteuert
    ("lxdvdrip -st=copy").
  - Verbesserte Performance durch Nutzung des "tc_memcpy()" Befehls
    aus dem transcode Paket.    
- Dummy-Untertitel in der Auswahl ueberspringen.
- dvdwizard-Dateien auf Version 0.42c) aktualisiert.    

Version 1.51 / 30.12.05:
- Korrekturen / Aenderungen bei Vamps als Streamtool:
  - Videoangaben (PAL/16x9/NOPANSCAN) uebernehmen.
  - LPCM-Audio als PCM an dvdauthor uebergeben.
  - Bei Einstellung Testrip (lxdvdrip -f=-1 -st=vamps) auch Vamps nutzen
    statt Transcode.
  - Mit "lxdvdrip -st=vamps -u=a" alle Untertitel sichern. Dvdauthor 
    muss hierzu mit der beiliegenden Datei "dvdvob.c" gepatcht werden.
  - Vamps: Kein Abbruch bei unbekannten Stream-IDs.
- Anzahl Audio Tracks per tcprobe feststellen.   
- Testrip per Transcode (lxdvdrip -f=-1):
  mit buffer-Befehl (wie bei "Transcode Parallel"),
  tcmplex zum Multiplexen als Default.
- lxdvdrip.conf: mplex als Default-Multiplexer.
- Korrektur Brennprozess: Wenn Parameter "wait-burn=0", nach erstem
  Backup beenden.

Version 1.50 / 18.12.05:
- Fix von make Problemen (Fedora Core 4 / GCC 4).
- Vamps: Update fuer MPEG Audio aus vamps 0.98 uebernommen, 
  Requant-Modul aktualisiert. "play_cell" von vamps-0.98 uebernommen.
- Vamps als Streamtool (-st=vamps) ersetzt Streamdvd.
  Streamdvd wird anscheinend nicht weiterentwickelt und kann keine 
  Untertitel, was mit Vamps wiederum problemlos geht.  
  Das Rippen erfolgt per "play_cell". Sowohl vamps als auch play_cell
  sollten aus dem Unterverzeichnis "vamps" verwendet werden.
- Vamps wird mit uebersetzt und installiert bei "make".
- Ausfuehrbare Dateien von vamps umbenannt:
  "vamps"     => "vamps_lxdvdrip"
  "play_cell" => "play_cell_lxdvdrip"
- Brennvorgang beliebig oft wiederholbar.
- Funktion zur Berechnung des Requantisierungsfaktor aus streamanalyze
  fest in lxdvdrip eingebunden. Streamanalyze muss nicht mehr
  extra installiert werden.

Version 1.47 / 01.10.05:
- Nach growisofs DVDR auswerfen.
- Bugfix: Wenn streamanalyze fehlschlaegt, Faktor mit lxdvdrip-Methode 
  selbst berechnen.
- Bugfix: Erkennung von Titeln ohne Kapiteleinteilung bei dvdwizard-Aufruf.

Version 1.46 / 01.06.05:
- Alle temporaeren Dateien im Temp-Verzeichnis laut Configdatei anlegen.
- Filmverzeichnis um Projektnamen erweitert (/tmp/film-dvd/Name_DVD).
- Vamps: MPEG2 Audio (Aenderungen aus k9copy uebernommen).
- Unterstuetzung von vobcopy (http://lpn.rnbhq.org/projects/c/c.shtml) als 
  Alternative zu dvdbackup fuer DVD5=>DVD5 Backup. Soll es benutzt werden, 
  einfach in der Configdatei "dvdbackup_name=vobcopy" setzen.
- Nach Rippen und Brennen Sound abspielen ("playsound=1" im Configfile).
- dvdwizard: Menuesprache italienisch hinzugefuegt.
- Multi Angle Support (lxdvdrip -angle=x) (Anregung von Michael Lipka).
- Bugfix: dvdbackup-Aufruf korrigiert (Parameter -n).

Version 1.45 / 05.05.05:
- Englische Man-Seite ("man lxdvdrip").
- Neues Dokument "Packages" mit Links zu fertigen Paketen (RPM/Deb/...).
- Patch fuer UDFFindFile/libdvdread (Christian Nolte).
- Abfrage auf Rechte auf /tmp beim Oeffnen von Dateien.
- mplex-Aufrufe korrigiert: Verhindert Meldung, dass mehrere Ausgabe-
  dateien erzeugt werden muessten.

Version 1.44 / 23.04.05:
- ISO-Image mit Volume ID der DVD (lxdvdrip.conf: "brennprogramm=5").

Version 1.43 / 09.04.05:
- High Qualitymodus mit AC3-Audio: Das neue Zusatzprogramm 
  "lxac3scan" wurde integriert fuer die korrekte Ansteuerung des
  Multiplexers. Programm wird beim Uebersetzen von lxdvdrip einfach
  mit erstellt.
- Erstellung Palettendatei (fuer Untertitel) ueberarbeitet.
- Vamps auf Version 0.97 umgestellt (http://sourceforge.net/projects/vamps).
- (Part)Copy-Modus: Anpassungen an dvdauthor0.6.12 (Alpha).
- dvdwizard-Dateien an ImageMagick 6.x angepasst.
- Jetzt auch "~" fuer Angabe des tmp- und Filmverzeichnis moeglich.
- Partcopy/Kapitel auslesen an dvdauthor ab 0.6.11 angepasst.
- Unterstuetzung von "Forced Subtitles" (lxdvdrip -u=f, Transcode parallel). 
  Das sind Untertitel, die bei nicht uebersetzten Filmszenen immer 
  angezeigt werden.
- Links (Transcode, libdvdread) im README aktualisiert.  
- Transcode Testrip (lxdvdrip -f=-1) mit mplex/lxac3scan.
   
Version 1.42 / 19.02.05:
- Bugfix fuer gcc 2.95.
- vamps: Patch fuer Fehlermeldung "ungueltige Stream-ID".
- Transcode parallel: Statt "buffer" alternativ "mbuffer" oder "bfr" verwendbar
  (Einstellung ueber Parameter "buffer_name=...").
- FreeBSD Patch von Ulrich Spoerlein.  
- NTSC DVD: keine Palette.
- Interne Aenderung: Quelltext neu formatiert, Header "lxdvdrip.h".
- Absturz bei dvdbackup behoben.
- Bugfix: Absturz-String wurde ueberschrieben.
- Patch dvdvob.c fuer dvdauthor 0.6.11.
- ISO-Image (/tmp/dvdrip.img) statt Brennen durch Parameter "-bp=4" 
  oder "brennprogramm=" im Configfile.
  
Version 1.41 / 04.12.04:
- Korrektur Pipenamen bei mpeg Audio / Transcode parallel.
- Transcode (parallel): pcm/mpeg1-Audio in mpeg2 Audio umwandeln.
- Patch dvdvob.c fuer dvdauthor 2773 alpha.
- Neuer Parameter "transcode_name" in Config.
- Copymodus umgebaut: DVD-Struktur ueber die XML-Datei von dvdunauthor
  erstellen.
- Patch von jj/Copymode integriert.  

Version 1.40 / 14.11.04:
- Integration von dvdwizard. Damit erhält das Backup ein einfaches Menue
  mit Buttons zum Start des Titels sowie eine Kapiteluebersicht. Installiert werden 
  muss der dvdwizard ab Version 0.42 (siehe README.dvdwizad.DE). 
- Transcode/dts-Audio freigeschaltet. Erforderlich ist transcode 0.6.13 
  und ein Patch im Unterverzeichnis "transcode". Siehe README im 
  Unterverzeichnis "transcode".
- Video Lan Client (vlc) fuer preview startet mit DVD-Struktur.
- Im partcopy Modus mit "ta" alle Titel markieren.
- Patch zum Zugriff auf ISO-Files (statt Device) groesser als 8 GB 
  (von "voidmain").
- Voreinstellungen im Configfile geaendert:
  - "dvdcompat=1" (bisher 0).
- Neue Option "file=" im Configfile. Damit kann die bisher nur an der
  Kommandozeile enthaltene Option fest voreingestellt werden. Das Ergebnis
  des Backups ist dann eine Datei im Temp-Verzeichnis mit den Namen der
  DVD, z. B. "/tmp/DVD_NAME.vob".
- lpcm-Audio immer als pcm dvdauthor uebergeben.
- dvdwizard mit multilingualem Menue (siehe README.dvdwizard und 
  Unterverzeichnis dvdwizard).
- (Part)copy/dvdwizard: Namen der einzelnen Titel koennen eingegeben werden.
  
Version 1.31 / 15.10.04:
- Voreinstellungen im Configfile geaendert:
  - "videoformat=1" (bisher 0).
  - "audio-default=1" (ac3 5.1) (bisher 0).
  - Parameter "spuunmux_name" korrigiert.
- Eingabe von Ziffern bei Titelauswahl fehlertoleranter.

Version 1.30 / 09.10.04:
- High Quality Backup: Haupttitel auf 2 DVD-5 verteilen. 
  Der Haupttitel wird ohne Verkleinerung gerippt. Mit "-hq=1" wird die 1.
  Haelfte der DVD, mit "-hq=2" die 2. Haelfte  gesichert. Die Unterteilung 
  in 1./2. Haelfte berechnet lxdvdrip selbst.
- Im Modus "partcopy" die Spieldauer der einzelnen Titel mit "mpgtx"
  ermitteln und anzeigen. Hierzu ist eine gepatchte Version von mpgtx
  noetig, siehe Unterverzeichnis "mpgtx", entweder als Binary oder 
  Quelltext. Einstellbar ueber den Parameter "mpgtx_name" im Configfile.
- Bei Einstellung "Kapitel aus" (-chap=0) im Copy und Partcopymodus
  dvdauthor ohne Kapitelliste starten.
- Verhinderung von Bufferoverflows bei Tastatureingaben.
- Vor dem Brennen testen, ob die Dateien "VIDEO_TS/VIDEO_TS.BUP" und 
  "VIDEO_TS/VIDEO_TS.IFO" vorhanden sind. Ansonsten Abbruch, weil 
  DVD-Struktur nicht vollstaendig.
- In den Modis "copy" und "partcopy" die Sprachen der Audio- und 
  Untertiteltracks sowie das Videoformat an dvdauthor uebergeben.  
- Zugriffe auf $PATH- und $HOME-Variable: Verhinderung von Bufferoverflows.
  
Version 1.20 / 16.09.04:
- Mehrere Titel von einer DVD kopieren (partielles Kopieren,
  lxdvdrip -st=partcopy). Wie beim Copy-Modus sind dvdunauthor und vamps 
  erforderlich. Je Titel werden alle Audio- und Untertiteltracks mitkopiert. 
  Titel koennen einzeln ausgewaehlt und angespielt werden. 
- README: Hinweise zum Patchen von dvdauthor and vamps.
- Alle noetigen Dateien zum Uebersetzen von vamps im Unterverzeichnis "vamps".
- Brenngeschwindigkeit als Kommandozeilenparameter (lxdvdrip -sp=...).
- Im Copy-Modus bei DVDs > 4.7 GB die Zusammenfassung der Titel in Titlesets
  beibehalten (vorher je Titel ein Titleset).
- Zusaetzliche Parameter fuer VOB-Player (Preview) in Configdatei 
  (vobplay_param="..."). Z. B. fuer das Ausgabeziel bzw. Treiber beim Mplayer.
- Warten auf Ende spuunmux auf fork/wait umgestellt (interne Aenderung).
- Bei mplayer als Streamtool die Untertitel mit mplayer statt
  tccat auslesen (wg. Zeitsynchronisation).
- Untertitelhandling bei Transcode parallel ueberarbeitet:
  Warten, bis mplex und spuunmux beendet (statt 20 Sekunden warten).
- Bei Vorschau mit mplayer immer den zuletzt gerippten 
  DVD-Titel abspielen.
- Warnung, wenn noch Dateien im Temp-Verzeichnis vorhanden,
  auf Wunsch diese loeschen.
- Aufruf von dvdauthor bei mplayer/transcode seriell als
  Streamtool korrigiert. Hierdurch hatte die DVD bei der Vorschau 
  mit mplayer 2 Titel (Meldung beim Abspielen: "invalid chapter").
- Zusatz-Parameter fuer cdrecord-prodvd/growisofs in Config-Datei.
  (burn_param=...). Z. B. kann man hier den Brennmodus einstellen.
  Parameterliste siehe "cdrecord-prodvd -help" bzw. "man growisofs".
- Defaultauswahl von Audio und Untertitel: Wenn nicht in gewuenschter
  Sprache vorhanden, umschalten auf Auswahl-Liste.
  
Version 1.10 / 12.08.04:
- Titelauswahl aus Liste moeglich (lxdvdrip-t=l).
- Berechnung des freien Speicherplatzes korrigiert.
- Kapitelliste mit tcprobe bestimmen (lxdvdrip -chap=2).
- spu(un)mux-Aufrufe korrigiert.
- README erweitert: Alle Ausgaben in Logfile umlenken.
- Interne Aenderungen: sprintf-Aufrufe geaendert.
- Bei VOB-Player ogle,xine,mplayer die Preview ueber die DVD-Struktur starten,
  nicht ueber die VOB-Files ("mplayer -dvd-device /tmp/.. dvd://1" statt
  "mplayer *VOB").
- Startwert des 1. Kapitels geaendert nach dvdauthor-Format-Vorgabe 
  (0 => 00:00:00.000).
- Hinweise zum Uebersetzen unter Free-BSD (doc-pak/freebsd.doc/Makefile.freebsd).
- Untertitel bei streamdvd deaktiviert.
- Auch Untertitel werden im lxdvdrip-Tmp-Verzeichnis abgelegt (tmp=...).
- Meldung bei fehlender Config-Datei in 3 Sprachen (Danke an Jean Luc Damnet 
  fuer die Uebersetzung).
- Volume-ID an mkisofs uebergeben.
- Neuer Parameter "mkisofs_param=" in lxdvdrip.conf. Mit diesem 
  Parameter kann z. B. bei mkisofs-Fehlermeldungen zum Zeichensatz
  die Einstellung "-input-charset ..." an mkisofs/growisofs uebergeben werden.

Version 1.06 / 15.06.04:
- ~/.lxdvdrip.conf als Parameterdatei moeglich.
- Testrip transcode ins lxdvdrip-Tmp-Verzeichnis (tmp=...).

Version 1.05 / 28.05.04:
- Faktorberechnung bei Transcode Testrip (lxdvdrip -f=-1) optimiert.

Version 1.04 / 09.05.04:
- Angaben zum Video (Aspect Ratio, Aufloesung, PAL/NTSC) an
  dvdauthor uebergeben (lxdvdrip -vf=1, in Konfig "videoformat=").
  
Version 1.03 / 05.05.04:
- README / Changelog / Conf-Dateien jetzt im doc-pak Unterverzeichnis.
  RPM Datei enthaelt dann komplette Doku.
- Uebersetzung ins franzoesische (Jean-Luc Damnet).  

Version 1.02 / 29.04.04:
- Hilfe (lxdvdrip -h) lesbar formatiert.
- Fehler behoben beim Auslesen der Daten von Platte statt DVD.

Version 1.01 / 16.04.04:
- Bei beiden Transcode Methoden auf mplayer umschalten fuer Audio, wenn
  Track im dts-Format. Transcode kennt (noch) kein dts.
- mplayer fuer alle Audioformate freigeschaltet (bisher nur ac3).
  
Version 1.00 / 08.04.04:
- Untertitel bei transcode/mplayer wieder mit spuunmux auslesen, da neue 
  Version von dvdauthor gut funktioniert. Hierdurch auch mit Palette!
- Kommandozeilenparameter "-sc=" für subtitle2pgm-Palette entfaellt.
- Parameter in Konfig: "subtitle2pgm=" entfaellt, "spuunmux=" neu.
- Untertitel jetzt auch bei transcode parallel (optimiert: dvdauthor -f spumux).
- 2. Untertitel auswaehlbar (-u=l).
- DVD nach Rippen auswerfen (Parameter "eject=" und "eject_name="
  in Konfig).
- DVD RW formatieren vor dem Brennen. Neue Parameter "rw-format=" und
  "dvd+rw-format=" in Konfig. Kann auch zur Laufzeit mit "-format="
  ein/ausgeschaltet werden (1=ein,0=aus).
- Im Kopiermodus bei Faktor kleiner als 1 vamps nicht aufrufen.

Version 0.91 / 22.03.04:
- Fehler beim Setzen des Labels (-lab=n) behoben.
- Fehlerbehebung: dvdbackup mit "-n" aufrufen.

Version 0.90 / 16.03.04:
- Parameter "-st=dvdbackup" ersetzt durch "-st=copy".
- Kopiermodus: Wenn DVD kleiner als 4.7 GB / Rohling, dann wird dvdbackup
  zum Auslesen verwendet (inkl. Menues). Wenn DVD groesser als 4.7 GB,
  dann per dvdunauthor/dvdauthor/vamps. Hierbei gehen jedoch Menues 
  verloren. Alle Audio- und Untertiteltracks sowie die Kapitelunter-
  teilung werden uebernommen.
- Neue Parameter "tcprobe_name=", "dvdunauthor=" und "vamps_name="
  im Konfigfile.  
- lpcm und mpeg Audio fuer streamdvd freigeschaltet.
- dvdbackup: Verzeichnis AUDIO_TS manuell anlegen.
- Patch von S. Lichtenhagen (Korrektur englische Meldungen, Aufruf growisofs).
- Parameter "-sc=" neu fuer Uebergabe der Untertitlefarben an subtitle2pgm.
- mpeg Audio: auch mpeg2 Audio per transcode rippen.
- Audio-Stream-IDs fuer streamanalyze/dvd korrigiert.
- streamanalyze (siehe streamdvd Homepage) zur Faktorberechnung eingebaut.
  Programmname in Konfig: "streamanalyze=". Aktivierung mit "-f=-2".
  Testrip ueber Transcode wie bisher "-f=-1".
- Neuer Parameter "dvdcompat=" in Konfigdatei. Bei "dvdcompat=1" wird
  growisofs mit dem Parameter "-dvd-compat" gestartet (siehe "man growisofs").
- Parameter "speed=" jetzt auch fuer growisofs.
- lpcm-Audiotracks mit Transcode (Parallel).
- mpeg1-Audio jetzt auch mit Transcode parallel.
- Bei Berechnung des freien Speicherplatzes Ergebnis anzeigen.

Version 0.80 / 02.03.04:
- Fixes fuer gcc 2.95.
- mpeg 1 Audio Streams mit transcode Methode moeglich.
- Handling temporaerer Dateien aus Patch uebernommen.
- Untertitel jetzt auch ueber Sprachkuerzel auswaehlbar, z. B. "-u=de".
- Neue Parameter in Konfigfile: Verwendete Programme koennen mit
  vollstaendigem Pfad aufgelistet werden.
- Es wird getestet, ob die benoetigten Programme installiert sind.  
- Makefile ueberarbeitet: Konfigdatei nach /etc kopieren, wenn nicht vorhanden.
  ansonsten Hinweis auf Aenderungen bzw. Kontrolle der Einstellungen.
- Bugfix: Auswahl streamtool an Kommandozeile korrigiert.
- vamps-Methode entfernt, da es anscheinend nicht mehr weiterentwickelt
  wird (-st=vamps).
- Testrippen (-f=-1) von vamps auf tccat/tcextract umgestellt.
- Parameter "-cbr=" entfaellt aufgrund der neuen Transcode Parallel-
  Methode.
- Neue Methode "Transcode Parallel" (-st=trans_par): 
  Alle Vorgaenge vom Auslesen, Requantisieren, Multiplexen bis  
  dvdauthor laufen parallel. Sehr schnelle Methode. Einzige Einschraenkung: 
  keine Untertitel moeglich.
  Zusaetzlich muss das Paket "buffer" installiert werden:
  http://rpmfind.net/linux/RPM/contrib/libc6/i386/buffer-1.19-1.i386.html.
- Auslesen der Untertitel bei transcode/mplayer nicht mehr mit "spuunmux",
  sondern mit "subtitle2pgm" aus dem "subtitleripper"-Paket.
  Die Performance ist wesentlich besser.
  (http://sourceforge.net/projects/subtitleripper)
  
Version 0.72 / 22.02.04:
- Neuer Parameter "-file=dateiname": Statt dvdauthor+Brennen als Ergebnis
  eine Datei mit dem Hauptfilm.
  
Version 0.71 / 22.02.04:
- Bei transcode/mplayer: mplex in dvdauthor eingebettet, spart Laufzeit.
  (dvdauthor ... -f 'mplex ...|')
- Zuordnung "-mp=tcmplex" an Kommandozeile korrigiert.
- Neuer Parameter "-cbr=1": Bei transcode wird dann immer von
  cbr ausgegangen, kein Test. Bei "-cbr=0" wird von DVD mit variabler
  Bitrate ausgegangen.
- Gerippte Files werden bei transcode/mplayer bei Fehlschlag von
  dvdauthor nicht geloescht.
- Letztes Kapitel nicht mehr an Kapitelstring anhaengen, da es ja 
  bereits das Ende der DVD ist (Es wird ja jeweils Kapitelstart
  angegeben).
- Bei der vamps-Methode auf tccat umstellen, wenn dvdunauthor nicht 
  gefunden wird.     
    
Version 0.70 / 21.02.04:
- Umstellung der Transcode Methode auf parallele Pipes fuer Video und 
  Audio, damit wird nur einmal von der DVD gelesen. Allerdings nur fuer
  CBR-kodierte (Constant Bitrate), andere DVDs wie ueblich im 2 Pass-Modus.
- Fehler korrigiert: Bei "mplex" "-S 0" angehaengt, sonst war bei 
  2 GB Dateigroesse Schluss.
- Fuer bessere Qualitaet der Untertitel die Palette der DVD auslesen
  und an dvdauthor uebergeben (dvdauthor -p palette.txt).
- Auch bei transcode/mplayer jetzt Untertitel moeglich. Das Auslesen
  erfolgt mit spuunmux/spumux aus dem dvdauthor-Paket, es ist leider
  sehr langsam. Das Auslesen erfolgt ueber mplayer.
- Option "-a=5" geaendert in "-a=l" fuer Liste. Ebenso "audio=" in Konfig.
- Neue Option "-u=l" fuer Anzeige und Auswahl der Untertitel.
- Fehlermeldung, wenn bei mplayer anderes Audioformat als ac3.
- Bei DVD kleiner als 4.7 GB auf Nachfrage umschalten auf Auslesen 
  per dvdbackup. Damit werden alle Features der DVD gesichert.
- Bei Transcode Audioauswahl fuer alle Formate freigeschaltet (ab 
  Transcode 0.6.13).
- Fehlerhaften mplex-Aufruf bei transcode mit Audiomethode "-a=l"
  behoben.
- Patches fuer dvdauthor an dvdauthor-893 angepasst.
- Fehler bei Zusammenspiel dvdauthor und unbekannter Sprache behoben.
  
Version 0.62 / 15.02.04:
- Dateien am Ende nur loeschen, wenn fehlerfrei gebrannt wurde.
- Erweiterungen fuer cdrecord-prodvd:
  Parameter "speed=" fuer Angabe der Brenngeschwindigkeit.
  Parameter "burnkey=" fuer Key zur Freischaltung der Gesamtfunktionalitaet.
  Beide Parameter nur in Konfigdatei!
- cdrecord-prodvd geht jetzt auch "On The Fly", spart Speicherplatz (-bp=3).

Version 0.61 / 14.02.04:
- Bei Fehler von "dvdauthor -T" kann jetzt eine erneute
  Authorisierung versucht werden.
- Pruefe auf VIDEO_TS, wenn nicht gefunden, nimm video_ts als
  Verzeichnisname fuer VOB-Dateien.
    
Version 0.60 / 13.02.04:
- dvdbackup als Streamtool (-st=dvdbackup), um selbstgebrannte
  DVDs in kurzer Zeit kopieren zu koennen.
- Ueberpruefung auf freien Plattenplatz abschaltbar (-free=0)
- Freie Auswahl des Audiotitels. Titel werden aufgelistet (-a=5).
  Bis zu 2 Tracks koennen dann eingegeben werden.
  
Version 0.50 / 12.02.04:
- Auch bei mplayer und transcode deutschen und englischen Audiotrack
  zusammen rippen (-a=3)
- vamps-Rip: Auslesen von tccat auf dvdunauthor umgestellt, Stream hat
  bessere Qualitaet
- Patch "dvdvob.c" fuer dvdauthor-876, kein Abbruch mehr wegen 
  "SCR moves backwards"    
  
Version 0.42 / 10.02.04:
- Bei Faktorberechnung 2 % Sicherheitsreserve
- Bei AC3 / 2 Kanal Audiobitrate auf 128 kbps korrigiert
- Untertitel-Sprache mit "-s" an dvdauthor uebergeben

Version 0.41 / 09.02.04:
- Bei mplayer/transcode und Faktor=1 kein tcrequant
- Auslesen des DVD-Namens, Uebergabe an growisofs/mkisofs mit "-V",
  Name kann von aussen mit "-lab=xxx" ueberschrieben werden
- Kapitel-Unterteilung abschaltbar (-chap=0)
  Neue Version der Konfig-Datei (0.41) (Option "chapter=1")  
  
Version 0.40 / 08.02.04:
- Rippen inkl. Kapitel-Unterteilung

Version 0.35 / 06.02.04:
- Freien Speicherplatz berechnen und Warnung, wenn nicht ausreichend

Version 0.34 / 03.02.04:
- Bei mplayer DVD-Device richtig setzen

Version 0.33 / 01.02.04:
- Auch das Basis-Filmverzeichnis loeschen, also bei "/tmp/film-dvd"
  wird dann auch ab /tmp das Verzeichnis "film-dvd" geloescht
- Bei "make install" wird die Datei "lxdvdrip.conf" nicht mehr
  nach "/etc" kopiert, weil sonst eigene Einstellungen immer verloren gehen  
 
Version 0.32 / 01.02.04:
- Neue Option -v / --version zeigt Version von lxdvdrip an
- Version auch fuer Configfile
- Loeschen als Standard ausgeschaltet (delete=0)

Version 0.31 / 31.01.04:
- Einstellungsdatei mit Kommentaren

Version 0.30 / 31.01.04:
- Auch transcode als Streamtool (-st=transcode)
- Im Readme streamtool-Aufrufe dokumentiert

Version 0.21 / 28.01.04:
- READMEs ueberarbeitet (u. a. Hinweise zu Devices Leser+Brenner)
- Fix Compilerwarnungen
- Videogroesse bei vamps zur Faktorberechnung korrigiert
- Einige Meldungen um DVD-Inhalt ausblenden (wieder einblenden mit -debug=1)

Version 0.20 / 25.01.2004:
- Neuer Parameter "-d=1", hierdurch wird Filmverzeichnis bei 
  Programmende geloescht.
- Neuer Parameter "-mp=mplex" schaltet beim "traditionellen Rippen per
  mplayer auf "mplex" zum Multiplexen um, Standard ist "tcmplex". Tip aus 
  Newsgroup, einige Leute hatten Probleme mit tcmplex.
- Bei Anzeige der Hilfe (lxdvdrip -h) wird die Anzeige in 2 Seiten aufgeteilt,
  mit Enter kommt man auf die 2. Seite.  
- Parameter "-a=" erweitert, damit auch andere als englische oder deutsche Audio-
  tracks verwendet werden koennen. Beispiel: "-a=4,fr" waehlt franzoesisch aus.
  Entsprechende Infos erhaelt man durch "lsdvd -t 1 -a" z. B. für Titel 1 der DVD.

Version 0.10 / 24.01.2004: Erstes Release


